# Uses of Class
org.jboss.classfilewriter.util.ByteArrayDataOutputStream

Packages that use ByteArrayDataOutputStream
Package
Description
org.jboss.classfilewriter
org.jboss.classfilewriter.annotations
org.jboss.classfilewriter.attributes
org.jboss.classfilewriter.code
org.jboss.classfilewriter.constpool

## Uses of ByteArrayDataOutputStream in org.jboss.classfilewriter

Methods in org.jboss.classfilewriter with parameters of type ByteArrayDataOutputStream
Modifier and Type
Method
Description
`void`
ClassField.`write(ByteArrayDataOutputStream stream)`
`void`
ClassFile.`write(ByteArrayDataOutputStream stream)`
`void`
ClassMethod.`write(ByteArrayDataOutputStream stream)`
`void`
WritableEntry.`write(ByteArrayDataOutputStream stream)`

## Uses of ByteArrayDataOutputStream in org.jboss.classfilewriter.annotations

Methods in org.jboss.classfilewriter.annotations with parameters of type ByteArrayDataOutputStream
Modifier and Type
Method
Description
`void`
AnnotationValue.`write(ByteArrayDataOutputStream stream)`
`void`
ClassAnnotation.`write(ByteArrayDataOutputStream stream)`
`void`
AnnotationAnnotationValue.`writeData(ByteArrayDataOutputStream stream)`
`void`
AnnotationsAttribute.`writeData(ByteArrayDataOutputStream stream)`
`abstract void`
AnnotationValue.`writeData(ByteArrayDataOutputStream stream)`
`void`
ArrayAnnotationValue.`writeData(ByteArrayDataOutputStream stream)`
`void`
BooleanAnnotationValue.`writeData(ByteArrayDataOutputStream stream)`
`void`
ByteAnnotationValue.`writeData(ByteArrayDataOutputStream stream)`
`void`
CharAnnotationValue.`writeData(ByteArrayDataOutputStream stream)`
`void`
ClassAnnotationValue.`writeData(ByteArrayDataOutputStream stream)`
`void`
DoubleAnnotationValue.`writeData(ByteArrayDataOutputStream stream)`
`void`
EnumAnnotationValue.`writeData(ByteArrayDataOutputStream stream)`
`void`
FloatAnnotationValue.`writeData(ByteArrayDataOutputStream stream)`
`void`
IntAnnotationValue.`writeData(ByteArrayDataOutputStream stream)`
`void`
LongAnnotationValue.`writeData(ByteArrayDataOutputStream stream)`
`void`
ParameterAnnotationsAttribute.`writeData(ByteArrayDataOutputStream stream)`
`void`
ShortAnnotationValue.`writeData(ByteArrayDataOutputStream stream)`
`void`
StringAnnotationValue.`writeData(ByteArrayDataOutputStream stream)`

## Uses of ByteArrayDataOutputStream in org.jboss.classfilewriter.attributes

Methods in org.jboss.classfilewriter.attributes with parameters of type ByteArrayDataOutputStream
Modifier and Type
Method
Description
`void`
Attribute.`write(ByteArrayDataOutputStream stream)`
`abstract void`
Attribute.`writeData(ByteArrayDataOutputStream stream)`
`void`
ExceptionsAttribute.`writeData(ByteArrayDataOutputStream stream)`
`void`
SignatureAttribute.`writeData(ByteArrayDataOutputStream stream)`
`void`
StackMapTableAttribute.`writeData(ByteArrayDataOutputStream stream)`

## Uses of ByteArrayDataOutputStream in org.jboss.classfilewriter.code

Methods in org.jboss.classfilewriter.code with parameters of type ByteArrayDataOutputStream
Modifier and Type
Method
Description
`void`
CodeAttribute.`writeData(ByteArrayDataOutputStream stream)`

## Uses of ByteArrayDataOutputStream in org.jboss.classfilewriter.constpool

Methods in org.jboss.classfilewriter.constpool with parameters of type ByteArrayDataOutputStream
Modifier and Type
Method
Description
`void`
ConstPool.`write(ByteArrayDataOutputStream stream)`
`final void`
ConstPoolEntry.`write(ByteArrayDataOutputStream stream)`